// pages/familyDoc/familyDoc.js
const app = getApp()
import {family} from "../../../api/familyDoc"
import {throttle} from "../../../utils/util"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isTriggered:false,
    img_host:'https://oss.prod.applets.igandanyiyuan.com/applet/patient/static',
    list:[]
  },
  handleRefresher(){
    this.handleFamily();
  },
  handleFamily(){
    family().then(data=>{
      this.setData({
        isTriggered:false,
        list:data
      })
    })
  },
  goBack(){
    wx.navigateBack({
      delta: 1,
    })
  },
  goInfo:throttle(function(){
    app.method.navigateTo({
      url: '/patient/pages/memberDetail/memberDetail',
    })
  }),
  goMember:throttle(function(event){
    let id=event.currentTarget.dataset.id;
    app.method.navigateTo({
      url: '/patient/pages/memberDetail/memberDetail?family_id='+id,
    })
  }),
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      img_host:app.hostConfig().imghost
    });
    this.handleFamily();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  
})